<?
require_once('include/global.php');
require_once("include/board_lib.php");
require_once("include/file.php");
require_once('./conf.inc.php');


// check
	if (!$_GET['cid'])
		msg('올바른 URL로 접근하여 주십시오');

// download
		$_GET['disposition'] = 'inline';
		$errorMsg = file_down(basename_fix($_GET['cid']), NULL, $UPLOAD_DIR[BIGFILE_TMP], null, $_GET['name']);
		if ($errorMsg)
		{
			errorlog("게시판에서 삽입한 이미지의 다운로드가 실패하였습니다.\n=> " . $UPLOAD_ROOT . '/' . $UPLOAD_DIR[BIGFILE_TMP] . '/' . $_GET['cid'] . $errorMsg, 'FILE');
			msg("게시판에서 삽입한 이미지의 다운로드가 실패하였습니다.\\n=> " . $errorMsg);
		}		// if()

// 다운로드를 위해 디버깅정보 생략.
//require_once('include/global_end.php');
?>